---
title: Selection.collapseToStart()
slug: Web/API/Selection/collapseToStart
tags:
  - API
  - Experimental
  - HTML Editing
  - Method
  - Reference
  - Selection
---
<div>{{ ApiRef("DOM") }}{{SeeCompatTable}}</div>

<p>The <strong><code>Selection.collapseToStart()</code></strong> method collapses the selection to the start of the first range in the selection. If the content of the selection is focused and editable, the caret will blink there.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em><var>sel</var></em>.collapseToStart()
</pre>

<h3 id="Parameters">Parameters</h3>

<p><em>None.</em></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Selection API', '#dom-selection-collapsetostart', 'Selection.collapseToStart()')}}</td>
   <td>{{Spec2('Selection API')}}</td>
   <td>Current</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Selection.collapseToStart")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("Selection")}}, the interface it belongs to.</li>
</ul>
